import { Signature } from '@solana/keys';
import type { Commitment, IRpcApiSubscriptions, RpcResponse } from '@solana/rpc-types';
import { TransactionError } from '../transaction-error.js';
type SignatureNotificationsApiNotificationReceived = RpcResponse<Readonly<string>>;
type SignatureNotificationsApiNotificationProcessed = RpcResponse<Readonly<{
    err: TransactionError | null;
}>>;
type SignatureNotificationsApiConfigBase = Readonly<{
    commitment?: Commitment;
}>;
export interface SignatureNotificationsApi extends IRpcApiSubscriptions {
    /**
     * Subscribe to a transaction signature to receive notification when a given transaction is committed.
     * On `signatureNotification` - the subscription is automatically cancelled.
     * The signature must be a txid, the first signature of a transaction.
     */
    signatureNotifications(signature: Signature, config: SignatureNotificationsApiConfigBase & Readonly<{
        enableReceivedNotification: true;
    }>): SignatureNotificationsApiNotificationReceived | SignatureNotificationsApiNotificationProcessed;
    signatureNotifications(signature: Signature, config?: SignatureNotificationsApiConfigBase & Readonly<{
        enableReceivedNotification?: false;
    }>): SignatureNotificationsApiNotificationProcessed;
}
export {};
//# sourceMappingURL=signature-notifications.d.ts.map